<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
    <script type="text/javascript">
        function rgFilterSelections_Command(sender, args) {
            args.set_cancel(true);
            var rg = $find(gridViewID);
            if (args.get_commandName() == "Page") {
                GetIDs();
                getNextPage($get(currentFilterType).value, args.get_commandArgument());
            }
            return false;
        }
        function rgFilterSelections_RowDataBound(sender, args) {
            if (!allSelected) {
                if (args.get_dataItem()["selected"]) {
                    if (!Array.contains(currentSelectedIDs, args.get_dataItem()["id"])) {
                        Array.add(currentSelectedIDs, args.get_dataItem()["id"]);
                    }
                }
            }
        } 
    </script>
    </telerik:RadCodeBlock>
    <div>
        <asp:Panel ID="Panel1" runat="server">
        </asp:Panel>
    </div>
    </form>
</body>
</html>
